import platoto.*;

public class Pion {
  private char nom;
  private Plateau.Case laCase;
  public Pion(char c) {
    nom = c;
  }
  public char getNom() {
    return nom;
  }
  public String toString () {
      return (new Character (nom)).toString ();
  }
  public boolean surDerniereCase() {
    return laCase.derniere();
  }
  public Plateau.Case enleveDeLaCase() {
    Plateau.Case lc = laCase;
    laCase.remove(this);
    laCase = null;
    return lc;
  }
  public void deposeSurLaCase(Plateau.Case c) {
    laCase = c;
    laCase.add(this);
  }
}
